Using this api you can get standard / user defined association by key
GET https://services.leadconnectorhq.com/associations/key/{key_name}
Authorization
Path parameters
Query parameters
Responses
200 - Successful response
locationId (string, required): Example: string
id (string, required): Example: ve9EPM428h8vShlRW1KT
key (string, required): First Objects Association Label (custom_objects.children) Example: student
firstObjectLabel (object, required): First Objects Association Label (custom_objects.children) Example: student
firstObjectKey (object, required): First Objects Key Example: custom_objects.children
secondObjectLabel (object, required): Second Object Association Label (contact) Example: Teacher
secondObjectKey (object, required): Second Objects Key Example: contact
associationType (object, required): Association Type can be USER_DEFINED or SYSTEM_DEFINED Example: USER_DEFINED
{
"locationId": "string",
"id": "ve9EPM428h8vShlRW1KT",
"key": "student",
"firstObjectLabel": "student",
"firstObjectKey": "custom_objects.children",
"secondObjectLabel": "Teacher",
"secondObjectKey": "contact",
"associationType": "USER_DEFINED"
}
400 - Bad Request
401 - Unauthorized
422 - Unprocessable Entity
Example
curl -X GET 'https://services.leadconnectorhq.com/associations/key/YOUR_key_name' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/associations/key/YOUR_key_name', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/associations/key/YOUR_key_name',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/associations/key/YOUR_key_name');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);